EvLoop::backend
EvLoop::child
EvLoop
PHP Manual

# EvLoop::check

(PECL ev >= 0.2.0)

EvLoop::check — Creates EvCheck object associated with the current event loop instance

### Description

final public EvCheck EvLoop::check ( string `$callback` [, string `$data` [, string `$priority` ]] )

Creates EvCheck object associated with the current event loop instance.

### Parameters

All parameters have the same meaning as for EvCheck::__construct()

### Return Values

Returns EvCheck object on success.

### See Also

- EvCheck::__construct() - Constructs the EvCheck watcher object

EvLoop::backend
EvLoop::child
EvLoop
PHP Manual